| Home | Libraries | People | FAQ | More

#### buffers_cat_view

A buffer sequence representing a concatenation of buffer sequences.

##### Synopsis

Defined in header `<boost/beast/core/buffers_cat.hpp>`

    template<
        class... Buffers>
    class buffers_cat_view

##### Types

Name | Description
--- | ---
value_type | The type of buffer returned when dereferencing an iterator.

##### Member Functions

Name | Description
--- | ---
begin | Returns an iterator to the first buffer in the sequence.
buffers_cat_view [constructor] | Copy Constructor. — Constructor.
end | Returns an iterator to one past the last buffer in the sequence.
operator= | Copy Assignment.

##### See Also

`buffers_cat`